package Logik;

import java.util.ArrayList;

public class Mahlzeit {

	private int id;
	private String name;
	private float            preis;
	private ArrayList<Zutat> zutaten;
	private String           beschreibung;

	public Mahlzeit (String name, float preis, String beschreibung) {
		this.name = name;
		this.preis = preis;
		this.beschreibung = beschreibung;
		zutaten = new ArrayList<>();
	}

	public String getName() {
		return name;
	}

	public float getPreis() {
		return preis;
	}

	public ArrayList<Zutat> getZutaten() {
		return zutaten;
	}

	public String getBeschreibung() {
		return beschreibung;
	}

	@Override
	public String toString() {
		return String.format("Name: %s, Preis: %g, Beschreibung: %s", name, preis, beschreibung);
	}



}
